Subject: [Lake] Re: Fwd: [Ufmrg] Relay Attacks in Intra-handshake Attestation for Confidential Agentic AI Systems
From: Paul Wouters <[email-masked]>
To: Muhammad Usama Sardar <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 4 Mar 2026 09:11:23 -0500
List-Id: Lightweight Authenticated Key Exchange <lake.ietf.org>

On Tue, Mar 3, 2026 at 1:02 PM Muhammad Usama Sardar <
[email-masked]> wrote:

> Hi lakers,
>
> Following up with supporting public evidence: *Cocos AI has publicly
> acknowledged [9]* the relay attacks last Friday.
>
> # *Context*
>
> As helpful context, Cocos AI [4] claimed their attested TLS to be the
> "best in the world" in the Confidential Computing Consortium and despite we
> having informed them repeatedly about the attacks after our formal
> analysis, they were continuing to misguide the community on social media.
> Anyway, we now respect their honesty and transparency, and we remain fully
> committed to helping them towards secure solutions.
>

The "we" in the context appears to refer to IETF until you get to the end
and see two people signing of on this posting. I would be good to make this
more clear and avoid talking about "we" on mailing lists.

Furthermore, the tone of this posting is not conducive to future
collaboration with Cocos AI. The claim of them "misguiding" isn't really
softened by the statement of "we respect them again now".

# *Cocos AI acknowledgment of attacks*
>
> Cocos AI (one of the implementers of the protocol) has publicly
> acknowledged [9] our email and the relay attacks we highlighted on their
> design and implementation in our email. Particularly, see the sections
> "Limitations and the Relay Attack" and "The Relay Attack Scenario" in [9].
> Note that their description is almost a paraphrase of our email. There are
> some nits that we disagree with them but that doesn't matter much. They
> have essentially acknowledged the attacks and shared a short-term,
> medium-term and long-term roadmap for mitigations of the attacks. We
> believe this alone is sufficient supporting evidence.
>
> Similarly, the "has publicly acknowledged" is far from friendly, and
unhelpful for future cooperation.

Chairs, if there is some time available and you feel it relevant, we would
> like to request 5 minutes to present our formal analysis for lake-ra draft.
>

How does this relate to lake? From what I can tell, Cocos AI used regular
TLS over TCP?

Paul